Subject: Re: bug#74400: 31.0.50; tramp-loaddefs.elc suddenly owned by root
From: Michael Albinus <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: Michael Heerdegen <[email-masked]>, [email-masked], [email-masked]
Date: Sun, 05 Jan 2025 09:29:11 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 30.1

Eli Zaretskii <[email-masked]> writes:

Hi Eli,

> And I have a question: why not suggest to use 'make && sudo make
> install' to begin with, instead of showing a dangerous command and
> then explaining why not use it?  Like this:
>
>   If the directories where 'make install' installs files are not
>   writable by your user, you might prefer invoking 'make && sudo make
>   install' instead.  This first invokes 'make' to make sure all the
>   required files are rebuilt with your user's permissions and
>   ownership, and then installs them using the permissions of root.

Thanks a lot, I've installed this version. Pushed to emacs-30, and closing
the bug.

Best regards, Michael.